I tried to install my printer but ended up with an error loop that disables the automatic updates of my system. Now I want to purge my system of this foul entity, but since my skill is lacking when it comes to understanding Ubuntu and linux I'm stuck.

I'm running Debian 7.10 and have a printer from Brother (MFC-845CW) which I want to install. I went to BSC: Brother LPR Driver download and to BSC: Brother CUPS driver and CUPS Wrapper driver download

Dbl-click on the mfc845cwcupswrapper-1.0.0-10.i386.deb created this message in the terminal
"/usr/local/Brother/cupswrapper/cupswrapperXXXX: No such file or directory".

So I tried to uninstall it by doing
"sudo dpkg --unpack '/home/tobias/Desktop/mfc845cwcupswrapper-1.0.0-10.i386.deb' "

I got this message
"(Reading database ... 95819 files and directories currently installed.)
Preparing to replace mfc845cwcupswrapper 1.0.0-10 (using .../mfc845cwcupswrapper-1.0.0-10.i386.deb) ...
/var/lib/dpkg/info/mfc845cwcupswrapper.prerm: 3: /usr/local/Brother/Printer/mfc845cw/cupswrapper/cupswrappermfc845cw: not found
dpkg: warning - old pre-removal script returned error exit status 127
dpkg - trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/prerm: 3: /usr/local/Brother/Printer/mfc845cw/cupswrapper/cupswrappermfc845cw: not found
dpkg: error processing /home/tobias/Desktop/mfc845cwcupswrapper-1.0.0-10.i386.deb (--unpack):
subprocess new pre-removal script returned error exit status 127
/var/lib/dpkg/info/mfc845cwcupswrapper.postinst: 3: /usr/local/Brother/Printer/mfc845cw/cupswrapper/cupswrappermfc845cw: not found
cp: cannot stat `/usr/share/cups/model/brmfc845cw.ppd': No such file or directory
dpkg: error while cleaning up:
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
/home/tobias/Desktop/mfc845cwcupswrapper-1.0.0-10.i386.deb"

So I figure "Screw this, I don't want to do anything that doesn't work properly". Now the little update icon is lit in the toolbar and pressing it gives me the message
"Could not initialize the package information
A unresolvable problem occurred while initializing the package information.
Please report this bug against the 'update-manager' package and include the following error message:
'E:The package mfc845cwcupswrapper needs to be reinstalled, but I can't find an archive for it.'"

So I began from the top and tried to install it again when this message shows
"Could not open 'mfc845cwcupswrapper-1.0.0-10.i386.deb'
The package might be corrupted or you are not allowed to open the file. Check the permissions of the file."

I threw away the old file and downloaded it again from thier website, the permissions of the file are -rwxr-xr-x. And the error message is still the same.

So I can't install it and I can't remove it. Please help me so I don't have to reinstall ubuntu again. It's getting boring doing that every time something I don't understand screw up my system.